nxt.http.callers

## Class GetDGSPurchaseCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetDGSPurchaseCall>
  - - nxt.http.callers.GetDGSPurchaseCall

-     public class GetDGSPurchaseCall
      extends APICall.Builder<GetDGSPurchaseCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetDGSPurchaseCall` | `create()`
    `GetDGSPurchaseCall` | `purchase(long purchase)`
    `GetDGSPurchaseCall` | `purchase(java.lang.String purchase)`
    `GetDGSPurchaseCall` | `requireBlock(java.lang.String requireBlock)`
    `GetDGSPurchaseCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetDGSPurchaseCall` | `secretPhrase(java.lang.String secretPhrase)`
    `GetDGSPurchaseCall` | `sharedKey(java.lang.String sharedKey)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetDGSPurchaseCall create()

    - #### requireLastBlock

          public GetDGSPurchaseCall requireLastBlock(java.lang.String requireLastBlock)

    - #### sharedKey

          public GetDGSPurchaseCall sharedKey(java.lang.String sharedKey)

    - #### purchase

          public GetDGSPurchaseCall purchase(java.lang.String purchase)

    - #### purchase

          public GetDGSPurchaseCall purchase(long purchase)

    - #### secretPhrase

          public GetDGSPurchaseCall secretPhrase(java.lang.String secretPhrase)

      Overrides:
        `secretPhrase` in class `APICall.Builder<GetDGSPurchaseCall>`

    - #### requireBlock

          public GetDGSPurchaseCall requireBlock(java.lang.String requireBlock)